# README

this repo is various production ready/quality scripts by scott.

## bash
* **fix_RHEL6.bash** - script to fix the registration of a RHEL6 host. need to change the ORG and ACTIVATIONKEY to the right values.
* **fix_RHEL7.bash** - script to fix the registration of a RHEL7 host. need to change the ORG and ACTIVATIONKEY to the right values.
* **fix_SL6.bash** - script to fix the registration of a SL6 host. need to change the ORG and ACTIVATIONKEY to the right values.
* **fix_SL7.bash** - script to fix the registration of a SL7 host. need to change the ORG and ACTIVATIONKEY to the right values.
* **fix_SIMBA.bash** - script to fix the registration of a SIMBA host. 
* **fix_subscripts.bash** - script to added all the missing repos (enable all the disabled repos).
* **katello-agent_install_RHEL6.bash** - script to install katello agent and related packages for RHEL6.
* **katello-agent_install_RHEL7.bash** - script to install katello agent and related packages for RHEL7.
  
  
## powershell
* **update_vm_hardware.ps2** - script to update the Virtual Hardware version to a newer version.  VM must be powered on for it to accept the changes and they wont take effect until the host is rebooted.
* **get_vm_hardware_version.ps2** - script to get the virtual hardware version for every VM inside a given vcenter.

## SAT6
these scripts are the migration from Satellite5 to Satellite6 servers.
* **migration_satellite_registration.bash** = generic script that can be modified for the various ORGs/AKs.
* **AgriculturalSci** = Agricultural Sciences
* **ARLSOA** = ARL SOA
* **ARLUWO** = ARL UWO
* **ARLWT** = RT WT
* **Athletics** = Athletics
* **CollegeofMedicine** = College of Medicine
* **EberlyBiochemistry** = Eberly School of BioChemistry
* **EITTLTOPS** = EIT TLT Ops
* **EITVPIT** = EIT VPIT
* **EMSMeterology** = EMS - Meterology
* **Engineering-Bioengineering** = School of Engineering, Bioengineering department
* **Engineering-ComputerScience** = School of Engineering, Computer Science department
* **Engineering-ComputerServices** = School of Engineering, Computer Services department
* **Engineering-IndMfrEng** = School of Engineering, IngMfr Engineering department
* **Engineering-Mechanical** = School of Engineering, Mechanical department
* **Engineering-Nuclear** = School of Engineering, Nuclear department
* **Engineering-SciMech** = School of Engineering, SciMech department
* **HealthHumanDev** = School of Health Human Development
* **IST** = College of Information Sciences and Technology
* **LiberalArts** = School of Liberal Arts
* **OIS** = Office of Information Security
* **PSAltoona** = Penn State - Altoona
* **PSBerks** = Penn State - Berks
* **PSFayette** = Penn State - Fayette
* **PSHarrisburg** = Penn State - Harrisburg
* **PSHealth** = Penn State Health
* **PSShenango** = Penn State - Shenango
* **TLT** = Department Teaching and Learning with Technology
* **ResearchHuck** - Research - Huck
* **ResearchMRI** - Research - MRI
* **ResearchSSRI** - Research - SSRI
* **UndergraduateEducation** - Undergraduate Education
* **VMHosting** - VM Hosting department
* **WorldCampus** - World Campus

