#!/bin/bash
#
# AUTHOR: scott boss (szb5228)
# date: 2020-04-01
#
echo "*****************************************************************************"
echo "*                                                                           *"
echo "*    THIS WILL REGISTER TO ALL REPOSITORIES THAT SUBSCRIPTION-MANAGER CAN   *"
echo "*          BE SEEN VIA SATELLITE SERVER(6).  USE WITH CAUTION!!             *"
echo "*                                                                           *"
echo "*****************************************************************************"
echo ""
echo ""
echo "starting...."
if [ "$EUID" -ne 0 ]
  then 
  echo "*****************************************************************************"
  echo "*                                                                           *"
  echo "*                          MUST BE RUN AS ROOT!!!!                          *"
  echo "*                    PLEASE TRY AGAIN WHEN YOU ARE ROOT!!                   *"
  echo "*                                                                           *"
  echo "*****************************************************************************"
  exit 1
fi
echo "subscription manager identity.... results"
subscription-manager identity
echo ""
echo "subscribing to the missing repos...."
for i in `subscription-manager repos --list-disabled | grep ID: | awk -F: '{print $2}'`;
do
  subscription-manager repos --enable=${i};
done
echo ""
echo "yum check for updates...."
yum check-update
echo ""
echo "subscription manager identity.... results"
subscription-manager identity
echo ""
echo "we are now done...."